%global momorel 1

# libnl is used to communicate with the kernel via netlink
%define libnlver 1.1

Summary: Dynamic host configuration protocol software for IPv6
Name:    dhcpv6
Version: 1.2.0
Release: %{momorel}m%{?dist}
License: LGPLv2+
Group:   System Environment/Daemons
URL:     http://fedorahosted.org/dhcpv6/
Source0: http://fedorahosted.org/releases/d/h/%{name}/%{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: flex
BuildRequires: bison
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: pkgconfig
BuildRequires: libnl-devel >= %{libnlver}
Requires(post): chkconfig
Requires(preun): chkconfig initscripts
Requires(postun): initscripts

%description
Implements the Dynamic Host Configuration Protocol (DHCP) for Internet
Protocol version 6 (IPv6) networks in accordance with RFC 3315: Dynamic Host
Configuration Protocol for IPv6 (DHCPv6).  Consists of dhcp6s(8), the server
DHCP daemon, and dhcp6r(8), the DHCPv6 relay agent.

Install this package if you want to support dynamic configuration of IPv6
addresses and parameters on your IPv6 network.

%package -n dhcpv6-client
Summary:   DHCPv6 client
Requires:  initscripts >= 7.73
Group:     System Environment/Base
Obsoletes: dhcpv6_client
Obsoletes: libdhcp6client < 1.0.14-4m
Obsoletes: libdhcp6client-devel < 1.0.14-4m
Obsoletes: libdhcp6client-static < 1.0.14-4m

%description -n dhcpv6-client
Provides the client for the DHCPv6 protocol (RFC 3315) to support dynamic
configuration of IPv6 addresses and parameters.

%prep
%setup -q

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot} rc_d_dir=%{buildroot}%{_initscriptdir}

%{__mkdir} -p %{buildroot}/sbin
%{__mv} %{buildroot}%{_sbindir}/dhcp6c %{buildroot}/sbin/dhcp6c

%{__mkdir} -p %{buildroot}%{_localstatedir}/lib/%{name}
%{__mkdir} -p %{buildroot}%{_localstatedir}/run/%{name}

%post
/sbin/chkconfig --add dhcp6s
/sbin/chkconfig --add dhcp6r || :

%preun
if [ $1 = 0 ]; then
    /sbin/service dhcp6s status > /dev/null 2>&1
    if [ $? = 3 ]; then
        /sbin/service dhcp6s stop > /dev/null 2>&1
    fi

    /sbin/service dhcp6r status > /dev/null 2>&1
    if [ $? = 3 ]; then
        /sbin/service dhcp6r stop > /dev/null 2>&1
    fi

    /sbin/chkconfig --del dhcp6s
    /sbin/chkconfig --del dhcp6r || :
fi

%postun
if [ $1 -ge 1 ]; then
    /sbin/service dhcp6s condrestart >/dev/null 2>&1
    /sbin/service dhcp6r condrestart >/dev/null 2>&1 || :
fi

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING.LIB LICENSE README TODO
%attr(754,root,root) %{_sbindir}/dhcp6s
%attr(754,root,root) %{_sbindir}/dhcp6r
%attr(755,root,root) %config %{_initscriptdir}/dhcp6s
%attr(755,root,root) %config %{_initscriptdir}/dhcp6r
%config(noreplace) %{_sysconfdir}/sysconfig/dhcp6s
%config(noreplace) %{_sysconfdir}/sysconfig/dhcp6r
%config(noreplace) %{_sysconfdir}/dhcp6s.conf
%{_mandir}/man8/dhcp6s.8*
%{_mandir}/man5/dhcp6s.conf.5*
%{_mandir}/man8/dhcp6r.8*
#%%attr(750,root,root) %dir %{_localstatedir}/lib/%{name}
#%%attr(750,root,root) %dir %{_localstatedir}/run/%{name}

%files -n dhcpv6-client
%defattr(-,root,root,-)
%attr(750,root,root) /sbin/dhcp6c
%doc AUTHORS ChangeLog COPYING.LIB LICENSE README TODO
%config(noreplace) %{_sysconfdir}/dhcp6c.conf
%{_mandir}/man8/dhcp6c.8*
%{_mandir}/man5/dhcp6c.conf.5*
%attr(750,root,root) %dir %{_localstatedir}/lib/%{name}
%attr(750,root,root) %dir %{_localstatedir}/run/%{name}

%changelog
* Tue Jul 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.2.0-1m)
- sync with Fedora 11 (1.2.0-2)
-- obsolete libdhcp6client*
- dhcpv6-client has /var/{lib,run}/dhcpv6

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0.14-3m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.0.14-2m)
- rebuild against gcc43

* Thu Mar 27 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.14-1m)
- update 1.0.14

* Mon Mar  3 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.12-2m)
- symbol was not found...
-- dhcpv6-1.0.12-visibility.patch

* Sun Mar  2 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.12-1m)
- update 1.0.12

* Wed Feb  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.11-1m)
- update 1.0.11

* Mon Jan 28 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.10-1m)
- update 1.0.10

* Fri Jan 11 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.4-1m)
- update 1.0.4

* Fri Jan 11 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.0.2-1m)
- update 1.0.2

* Tue Feb 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-7m)
- sync fc-devel (0.10-40)

* Wed Jan 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-6m)
- sync fc-devel (0.10-35)

* Sun Jul  2 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-5m)
- sync fc-devel

* Sat Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.10-4m)
- sync fc-devel

* Sat Jun 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.10-3m)
- delete duplicate dir

* Fri Jun  9 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.10-2m)
- delete duplicate dirs %%dir %%{_localstatedir}/lib/dhcpv6
- re-add %%dir %%{_localstatedir}/lib/dhcpv6
  because dhcpv6 pkg is not required by dhcpv6_clinets pkg

* Thu Jun  8 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.10-1m)
- import from FC5

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.10-16.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jason Vas Dias <jvdias@redhat.com> - 0.10-16
- rebuild for new gcc, glibc, glibc-kernheaders

* Sun Dec 18 2005 Jason Vas Dias<jvdias@redhat.com> - 0.10-15.2
- rebuild for new gcc & flex

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Wed Nov  9 2005 Tomas Mraz <tmraz@redhat.com> - 0.10-15
- rebuilt with new openssl

* Mon Aug 15 2005 Jason Vas Dias <jvdias@redhat.com>
- fix bug 165882: allow client to configure an interface which
  does not have an IPv4 address ( use getifaddrs instead of
  ioctl(sockfd, SIOGIFCONF, ...)
- fix bug 165884 (possibly!): force use of glibc's getifaddrs,
  not internal getifaddrs implementation

* Fri Apr 01 2005 Florian La Roche <laroche@redhat.com>
- made perms for /var/lib/dhcpv6 the same

* Fri Mar 25 2005 Florian La Roche <laroche@redhat.com>
- add "exit 0" to postun script

* Thu Jan 13 2005 Jason Vas Dias <jvdias@redhat.com> - 0.10-11
- Fix misc. compiler warnings and ms-dos formatted man-pages

* Wed Jan 12 2005 Jason Vas Dias <jvdias@redhat.com> - 0.10-11
- Add 'prefix-delegation-interface' option to allow write
- of radvd interface configuration other than that for 
- the interface the lease was received on.

* Mon Jan 10 2005 Jason Vas Dias <jvdias@redhat.com> - 0.10-10
- Fix bug 144585: dhcp6c wasn't writing radvd.conf in prefix delegation mode

* Sun Jan 9  2005 Jason Vas Dias <jvdias@redhat.com> - 0.10-10
- Add Relay Agent support. Thanks to  Brian Bluesker<bbuesker@qualcomm.com>
- for the patch to add relay support to the server and for submitting the 
- patch originally contributed by Cristian Cadar of NEC Europe to 
- DHCPv6-developer  mailing list.

* Fri Jan 7  2005 Jason Vas Dias <jvdias@redhat.com> - 0.10-9
- fix bug 143728: SEGV core on resolv.conf + radvd.conf update -
- yywrap()'s must return 1

* Mon Oct 18 2004 Jason Vas Dias <jvdias@redhat.com> - 0.10-7
- fix bug 136146: clean up code - prevent compiler warnings

* Mon Sep 13 2004 Jason Vas Dias <jvdias@redhat.com> - 0.10-6
- fix bug 132468 for bug 125712: invoke change_resolv_conf

* Mon Sep 13 2004 Bill Nottingham <notting@redhat.com> - 0.10-5
- don't run by default
- add chkconfig prereqs, postun script, etc.

* Thu Sep  2 2004 Jason Vas Dias <jvdias@redhat.com> - 0.10-3/4
- fixed missing %defattr for dhcpv6_client - bug 131638

* Mon Aug 30 2004 Jason Vas Dias <jvdias@redhat.com> - 0.10-2
- Split into two packages: dhcpv6-*, containing server only,
- and dhcpv6_client-*, containing client only.

* Thu Aug 26 2004 Jason Vas Dias <jvdias@redhat.com> - 0.10-1 
- Initial build.

